org.apache.hc.client5.http.impl.classic

## Class ConnectExec

- java.lang.Object
- - org.apache.hc.client5.http.impl.classic.ConnectExec

All Implemented Interfaces:
  ExecChainHandler

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public final class ConnectExec
    extends Object
    implements ExecChainHandler

Request executor in the HTTP request execution chain that is responsible for establishing connection to the target origin server as specified by the current route.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`ConnectExec(org.apache.hc.core5.http.ConnectionReuseStrategy reuseStrategy, org.apache.hc.core5.http.protocol.HttpProcessor proxyHttpProcessor, AuthenticationStrategy proxyAuthStrategy)`

### Method Summary

Methods
`org.apache.hc.core5.http.ClassicHttpResponse` `execute(org.apache.hc.core5.http.ClassicHttpRequest request, ExecChain.Scope scope, ExecChain chain)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectExec

    public ConnectExec(org.apache.hc.core5.http.ConnectionReuseStrategy reuseStrategy,
               org.apache.hc.core5.http.protocol.HttpProcessor proxyHttpProcessor,
               AuthenticationStrategy proxyAuthStrategy)

### Method Detail

#### execute

    public org.apache.hc.core5.http.ClassicHttpResponse execute(org.apache.hc.core5.http.ClassicHttpRequest request,
                                                       ExecChain.Scope scope,
                                                       ExecChain chain)
                                                         throws IOException,
                                                                org.apache.hc.core5.http.HttpException

Specified by:
  `execute` in interface `ExecChainHandler`
Throws:
  `IOException`
  `org.apache.hc.core5.http.HttpException`